Package org.gradle.util

## Class CollectionUtils.SetDiff<T>

- java.lang.Object
- - org.gradle.util.CollectionUtils.SetDiff<T>

- Type Parameters:
    `T` - The type of element the sets contain
  Enclosing class:
    CollectionUtils

      public static class CollectionUtils.SetDiff<T>
      extends java.lang.Object

  The result of diffing two sets.
  See Also:
    `CollectionUtils.diffSetsBy(java.util.Set, java.util.Set, org.gradle.api.Transformer)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.Set<org.gradle.internal.Pair<T,​T>>` | `common` |
    `java.util.Set<T>` | `leftOnly` |
    `java.util.Set<T>` | `rightOnly` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SetDiff()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### leftOnly

          public java.util.Set<T> leftOnly

    - #### common

          public java.util.Set<org.gradle.internal.Pair<T,​T>> common

    - #### rightOnly

          public java.util.Set<T> rightOnly

  - ### Constructor Detail

    - #### SetDiff

          public SetDiff()